# Uses of Class
org.bukkit.configuration.file.FileConfiguration

Packages that use FileConfiguration
Package
Description
org.bukkit.configuration.file
Classes dedicated to facilitating `configurations` to be read and stored on the filesystem.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of FileConfiguration in org.bukkit.configuration.file

Subclasses of FileConfiguration in org.bukkit.configuration.file
Modifier and Type
Class
Description
`class`
`YamlConfiguration`
An implementation of `Configuration` which saves all files in Yaml.
Methods in org.bukkit.configuration.file that return FileConfiguration
Modifier and Type
Method
Description
`@NotNull FileConfiguration`
FileConfigurationOptions.`configuration()`

## Uses of FileConfiguration in org.bukkit.plugin

Methods in org.bukkit.plugin that return FileConfiguration
Modifier and Type
Method
Description
`@NotNull FileConfiguration`
Plugin.`getConfig()`
Gets a `FileConfiguration` for this plugin, read through "config.yml"

## Uses of FileConfiguration in org.bukkit.plugin.java

Methods in org.bukkit.plugin.java that return FileConfiguration
Modifier and Type
Method
Description
`@NotNull FileConfiguration`
JavaPlugin.`getConfig()`